<!DOCTYPE html>
<html lang="en"
      xmlns="http://www.w3.org/1999/xhtml"
      xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      layout:decorate="~{layouts/admin_panel_layout}">
<head>
    <meta charset="UTF-8">
    <title>Categories</title>
</head>
<body>
<div layout:fragment="admin_panel_content" class="container mt-2">
    <a href="#" th:href="@{/categories/new}" class="btn btn-primary mb-2">
        New category
    </a>
    <table class="table table-striped table-hover">
        <thead>
        <th>Id</th>
        <th>Category Name</th>
        <th style="width: 150px;"></th>
        </thead>
        <tbody>
        <tr th:each="item : ${categories}">
            <td th:text="${item.id}">index</td>
            <td th:text="${item.name}">category name</td>
            <td>
                <form method="get" th:action="@{/categories/update}" class="d-inline">
                    <input type="hidden" name="id" th:value="${item.id}">
                    <button type="submit" class="btn btn-sm btn-outline-primary">
                        <i class="fa fa-pen"></i>
                    </button>
                </form>
                <form method="post" th:action="@{/categories/delete}" class="d-inline">
                    <input type="hidden" name="id" th:value="${item.id}">
                    <button type="submit" class="btn btn-sm btn-outline-danger">
                        <i class="fa fa-trash"></i>
                    </button>
                </form>
            </td>
        </tr>
        </tbody>
    </table>
</div>

</body>
</html>